aide-dynamic_0.16-3_i386.deb


Advertisement

Description

aide-dynamic - Advanced Intrusion Detection Environment - dynamic binary

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package name aide-dynamic
Package version 0.16
Package release 3
Package architecture i386
Package type deb
Installed size 283 B
Download size 102.64 KB
Official Mirror archive.ubuntu.com
AIDE is an intrusion detection system that detects changes to files on
the local system. It creates a database from the regular expression rules
that it finds from the config file. Once this database is initialized
it can be used to verify the integrity of the files. It has several
message digest algorithms (md5, sha1, rmd160, tiger, haval, etc.) that are
used to check the integrity of the file. More algorithms can be added
with relative ease. All of the usual file attributes can also be checked
for inconsistencies.
This package contains a dynamically linked binary and should only be
used in exeptional circumstances. To avoid exposure to trojaned
libraries, it is advised to use one of the statically linked binaries.

Alternatives

Package Version Architecture Repository
aide-dynamic_0.16-3_amd64.deb 0.16 amd64 Ubuntu Universe
aide-dynamic - - -

Requires

Name Value
e2fslibs >= 1.37
libacl1 >= 2.2.51-8
libattr1 >= 1:2.4.46-8
libaudit1 >= 1:2.2.1
libc6 >= 2.4
libmhash2 -
libpcre3 -
libselinux1 >= 1.32
zlib1g >= 1:1.1.4

Provides

Name Value
aide-binary -

Conflicts

Name Value
aide -
aide-xen -

Download

Type URL
Binary Package aide-dynamic_0.16-3_i386.deb
Source Package aide

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install aide-dynamic deb package:
    # sudo apt-get install aide-dynamic

Files

Path
/usr/bin/aide
/usr/share/doc/aide-dynamic/NEWS.Debian.gz
/usr/share/doc/aide-dynamic/changelog.Debian.gz
/usr/share/doc/aide-dynamic/copyright
/usr/share/man/man1/aide.1.gz
/usr/share/man/man5/aide.conf.5.gz

Changelog

2018-02-02 - Marc Haber <mh+debian-packages@zugschlus.de>
aide (0.16-3) unstable; urgency=medium
* move package to salsa
* use tracker as maintainer address
* remove Mike from Uploaders. Thanks for helping with the package.
2017-11-02 - Marc Haber <mh+debian-packages@zugschlus.de>
aide (0.16-2) unstable; urgency=medium
* improve rules:
* 10_aide_distribution: Take more care in sanitizing
distribution data. Thanks to Raphaƫl Hertzog (Closes: #868749)
* 31_aide_amanda-server
Thanks to Daniel Dickinson (Closes: #710912, #723904)
* 31_aide_apt
* Take multiarch patch from bug report.
Thanks to Simon Deziel (Closes: #770095)
* remove Pre-component Release Files (see discussion in #879272)
Thanks to Julian Andres Klode
* 31_aide_apt-listbugs: clean up obsolete dev comments
* 31_aide_cups
* 31_aide_dpkg
* 31_aide_isc-dhcp-server / 31_aide_isc-dhcp-client
* rename from 31_aide_dhcp3-server and 31_aide_dhcp3-client
* adapt paths
* 31_aide_logrotate
* 31_aide_man: add CACHEDIR
* 31_aide_mlocate: leaves around a lock file
* Add 31_aide_php7, remove 31_aide_php[45].
Thanks to Frederik Himpe (Closes: #724291)
* 31_aide_samba
* 31_aide_sudo: properly handle changing run directory
* 70_aide_run: /run changes link count
* new rules:
* 10_aide_prevyear: help log file handling
* 31_aide_atop
* 31_aide_cereal
* 31_aide_gnupg
* 31_aide_pam_motd
* 31_aide_php-common
* 31_aide_run_systemd_netif
* 31_aide_run_systemd_resolve
* 31_aide_runuser
* 31_aide_systemd_journal
* 31_aide_systemd_sessions
* remove rules that only had placeholder comments
* remove obsolete 31_aide_gpg
* remove obsolete 31-aide_apt_[un]stable
* aide.wrapper:
* wrapper now aborts immediately if lock cannot be
obtained (Closes: #841006)
* Use --config-check in wrapper (Closes: #289171)
* major rework of ucf handling:
* Allow rules to be overridden (Closes: #720009)
* The new code will eventually be submitted for inclusion in
ucf proper or packaged as ucf-helper
* Standards-Version: 4.1.1
* aide-xen and aide-dynamic are now Priority: optional
* no other changes necessary
2016-07-26 - Hannes von Haugwitz <hannes@vonhaugwitz.com>
aide (0.16-1) unstable; urgency=medium
* new upstream version, changes include:
- fix compilation with latest libaudit (closes: #829575)
* adapt debian/patches/10-manpages.patch
* debian/control:
- bump to Standards-Version 3.9.8 (no changes necessary)
2016-04-17 - Hannes von Haugwitz <hannes@vonhaugwitz.com>
aide (0.16~b1-1) unstable; urgency=medium
* new beta upstream version, changes include:
- switch to PCRE library
- restricted selection lines
- fix FTBFS with e2fsprogs 1.43 (closes: #818858)
- new '--limit' parameter
- new options:
- database_add_metadata
- report_force_attrs (deprecates report_attributes)
- report_ignore_added_attrs
- report_ignore_changed_attrs (deprecates ignore_list)
- report_ignore_e2fsattrs (closes: #642272)
- report_ignore_removed_attrs
- report_quiet
* debian/control:
- add build-dep on libpcre3-dev
- use secure Vcs-* fields
- aide-common: drop dependency on initscripts (closes: #804984)
- bumped to Standards-Version 3.9.7 (no changes necessary)
* debian/rules:
- add libpcre3-dev to BUILT_USING_PACKAGES
* 31_aide_ntp-server, 31_aide_inn2:
- fix malformed negative rules
* aide-common.README.Debian, update-aide.conf.8:
- fix spelling errors
* debian/watch:
- enable GPG signature verification
- add debian/upstream/signing-key.asc
* debian/copyright:
- update copyright statements
- fix license short name
* debian/lintian/overrides/aide-common:
- start-stop-daemon-in-maintainer-script has been renamed to
maintainer-script-should-not-use-start-stop-daemon

See Also

Package Description
aide-xen_0.16-3_i386.deb Advanced Intrusion Detection Environment - static binary for XEN
aidl_7.0.0+r33-1_i386.deb Binder generator of AIDL interfaces
aiksaurus_1.2.1+dev-0.12-6.3_i386.deb This package provides an English-language thesaurus (utility)
air-quality-sensor_0.1.4.2-1_i386.deb user space driver for AppliedSensor's Indoor Air Monitor
aircrack-ng_1.2-0~rc4-4_i386.deb wireless WEP/WPA cracking utilities
airgraph-ng_1.2-0~rc4-4_all.deb Tool to graph txt files created by aircrack-ng
airport-utils_2-6_all.deb configuration and management utilities for Apple AirPort base stations
airspy_1.0.9-3_i386.deb Tiny and efficient software defined radio receiver - utilities
airstrike-common_0.99+1.0pre6a-8_all.deb 2d dogfight game - data files
airstrike_0.99+1.0pre6a-8_i386.deb 2d dogfight game in the tradition of 'Biplanes' and 'BIP'
aj-snapshot_0.9.6-3_i386.deb make snapshots of JACK connections
ajaxterm_0.10-13_all.deb Web based terminal written in Python
akonadi-backend-mysql_17.12.3-0ubuntu3_all.deb MySQL storage backend for Akonadi
akonadi-backend-postgresql_17.12.3-0ubuntu3_all.deb PostgreSQL storage backend for Akonadi
akonadi-backend-sqlite_17.12.3-0ubuntu3_i386.deb SQLite storage backend for Akonadi
Advertisement
Advertisement